Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.color
Class ICCColorSpaceExt

    java.lang.Object
      java.awt.color.ColorSpace
          java.awt.color.ICC_ColorSpace
              org.apache.batik.ext.awt.color.ICCColorSpaceExt

All Implemented Interfaces:
  Serializable

    public class ICCColorSpaceExt

extends ICC_ColorSpace

This class extends the ICCColorSpace class by providing convenience methods to convert to sRGB using various methods, forcing a givent intent, such as perceptual or relative colorimetric.

See Also:
  Serialized Form

Field Summary
`static int` | `ABSOLUTE_COLORIMETRIC`
`static int` | `AUTO`
`static int` | `PERCEPTUAL`
`static int` | `RELATIVE_COLORIMETRIC`
`static int` | `SATURATION`

Fields inherited from class java.awt.color.ColorSpace
`CS_CIEXYZ, CS_GRAY, CS_LINEAR_RGB, CS_PYCC, CS_sRGB, TYPE_2CLR, TYPE_3CLR, TYPE_4CLR, TYPE_5CLR, TYPE_6CLR, TYPE_7CLR, TYPE_8CLR, TYPE_9CLR, TYPE_ACLR, TYPE_BCLR, TYPE_CCLR, TYPE_CMY, TYPE_CMYK, TYPE_DCLR, TYPE_ECLR, TYPE_FCLR, TYPE_GRAY, TYPE_HLS, TYPE_HSV, TYPE_Lab, TYPE_Luv, TYPE_RGB, TYPE_XYZ, TYPE_YCbCr, TYPE_Yxy`

Constructor Summary
`ICCColorSpaceExt(ICC_Profile p, int intent)`

Method Summary
`float[]` | `absoluteColorimetricToRGB(float[] values)` Absolute colorimetric.
`float[]` | `intendedToRGB(float[] values)` Returns the sRGB value obtained by forcing the conversion method to the intent passed to the constructor
`float[]` | `perceptualToRGB(float[] values)` Perceptual conversion is the method implemented by the base class's toRGB method
`float[]` | `relativeColorimetricToRGB(float[] values)` Relative colorimetric needs to happen through CIEXYZ conversion
`float[]` | `saturationToRGB(float[] values)` Saturation.

Methods inherited from class java.awt.color.ICC_ColorSpace
`fromCIEXYZ, fromRGB, getMaxValue, getMinValue, getProfile, toCIEXYZ, toRGB`

Methods inherited from class java.awt.color.ColorSpace
`getInstance, getName, getNumComponents, getType, isCS_sRGB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERCEPTUAL

    public static final int PERCEPTUAL

See Also:
  Constant Field Values

### RELATIVE_COLORIMETRIC

    public static final int RELATIVE_COLORIMETRIC

See Also:
  Constant Field Values

### ABSOLUTE_COLORIMETRIC

    public static final int ABSOLUTE_COLORIMETRIC

See Also:
  Constant Field Values

### SATURATION

    public static final int SATURATION

See Also:
  Constant Field Values

### AUTO

    public static final int AUTO

See Also:
  Constant Field Values

Constructor Detail

### ICCColorSpaceExt

    public ICCColorSpaceExt(ICC_Profile p,
                            int intent)

Method Detail

### intendedToRGB

    public float[] intendedToRGB(float[] values)

  Returns the sRGB value obtained by forcing the conversion method to the intent passed to the constructor

### perceptualToRGB

    public float[] perceptualToRGB(float[] values)

  Perceptual conversion is the method implemented by the base class's toRGB method

### relativeColorimetricToRGB

    public float[] relativeColorimetricToRGB(float[] values)

  Relative colorimetric needs to happen through CIEXYZ conversion

### absoluteColorimetricToRGB

    public float[] absoluteColorimetricToRGB(float[] values)

  Absolute colorimetric. NOT IMPLEMENTED. Temporarily returns same as perceptual

### saturationToRGB

    public float[] saturationToRGB(float[] values)

  Saturation. NOT IMPLEMENTED. Temporarily returns same as perceptual.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.